%define upstream_name    Module-Install-ReadmeFromPod
%define upstream_version 0.12

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A Module::Install extension to automatically convert POD to a README
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Install)
BuildRequires: perl(Pod::Text)
BuildRequires: perl(Test::More)
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
Module::Install::ReadmeFromPod is a the Module::Install manpage extension
that generates a 'README' file automatically from an indicated file
containing POD, whenever the author runs 'Makefile.PL'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml LICENSE README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Dec 17 2011 shlomif <shlomif> 0.120.0-1.mga2
+ Revision: 182950
- imported package perl-Module-Install-ReadmeFromPod


* Wed Mar 09 2011 cpan2dist 0.12-1mdv
- initial mdv release, generated with cpan2dist
